SDXFrameWork 0.10 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::IFont Class Referenceabstract

Fontのインターフェース. More...

`#include <IFont.h>`

Inherited by SDX::Font, and SDX::FontOld.

## Public Member Functions
virtual bool | Draw (const Point &座標, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const =0
| 文字を描画. More...
virtual bool | DrawRotate (const Point &座標, double 拡大率, double 角度, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const =0
| 文字を回転して描画. More...
virtual bool | DrawExtend (const Point &座標, double X軸拡大率, double Y軸拡大率, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const =0
| 拡大率を指定して文字を描画. More...

## Detailed Description

Fontのインターフェース.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//フォントを作成して文字列を描画する
bool SampleFont()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
//フォントの初期化
Font fontA(SystemFont::Gothic, 9, 4,false);
Font fontB(SystemFont::Mincho, 20, 4, true);
//BMPフォントの登録
ImagePack bmpNumber("data/number.png",10,10,1);
ImagePack bmpFont("data/font.png", 30, 10, 3);
fontA.SetImageS("0", &bmpNumber,10);
fontA.SetImageS("a", &bmpFont, 26);
fontA.SetImageS("A", &bmpFont, 26);
fontA.SetImage("×", bmpFont[26]);
fontA.SetImage("□", bmpFont[27]);
fontA.SetImage("○", bmpFont[28]);
fontA.SetImage("☆", bmpFont[29]);
double angle = 0;
Screen::SetBackColor(Color::Silver);
while (System::Update())
{
angle += 0.02;
fontA.Draw({ 10 , 10 }, Color::White, "Hello○\nこん☆にちは\n今日は1234");
fontB.Draw({ 10 , 200 }, Color::Blue, "Hello○\nこん☆にちは\n今日は1234");
fontA.DrawRotate({ 300, 100 }, 1, angle, Color::White, false, "文字の回転□\nてすと1234×");
fontB.DrawRotate({ 300, 200 }, 1, angle, Color::White, false, "文字の回転□\nてすと1234×");
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

virtual bool SDX::IFont::Draw | ( | const Point & | 座標,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

文字を描画.

Implemented in SDX::Font, and SDX::FontOld.

virtual bool SDX::IFont::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

文字を回転して描画.

Implemented in SDX::Font, and SDX::FontOld.

virtual bool SDX::IFont::DrawExtend | ( | const Point & | 座標,
|  | double | X軸拡大率,
|  | double | Y軸拡大率,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

拡大率を指定して文字を描画.

Implemented in SDX::Font, and SDX::FontOld.